﻿local revision = tonumber(string.sub("$Revision: 95 $", 12, -3)) or 1
if revision > FuBar_FriendsFu.revision then FuBar_FriendsFu.revision = revision end

local L = AceLibrary("AceLocale-2.2"):new("FuBar_FriendsFu")
-- Russian Translation by Ynitron
L:RegisterTranslations("ruRU", function() return {
	["Group"] = "Группа",
	["Name"] = "Имя",
	["Class"] = "Класс",
	["Level"] = "Уровень",
	["Zone"] = "Локация",
	["Notes"] = "Заметки",
	["Show"] = "Показать",
	["Align"] = "Выровнять",
	["Color"] = "Цвет",
	["None"] = "Нет",
	["Left"] = "Слева",
	["Center"] = "Центр",
	["Right"] = "Справа",
	["Updating..."] = "Обновление...",
	["You aren't having any known friends."] = "У вас нет известных друзей.",
	["All friends offline or filtered."] = "Все друзья Оффлайн или отфильтрованы",
	["Text"] = "Текст",
	["Text Settings"] = "Текст настройки",
	["Show Displayed"] = "Показать Показанных",
	["Toggles display of number of unfiltered friends"] = "Показывать всех неотфильтрованных друзей онлайн",
	["Show Online"] = "Показывать Онлайн",
	["Toggles display of number of online friends"] = "Показывать друзей по номерам онлайн",
	["Show Total"] = "Показать Всего",
	["Toggles display of number of total friends known"] = "Показать всех ваших друзей",
	["Tooltip"] = "Тултип",
	["Tooltip Settings"] = "Настройки тултипа",
	["Sort"] = "Сортировать",
	["Sets sorting"] = "Настройка Сортировки",
	["Group Indicator Settings"] = "Параметры настройки Группы",
	["Toggles display of group indicators"] = " Показать параметры настройки Группы",
	["Name Column Settings"] = "Настройки Имени Колонки",
	["Sets color of name column"] = "Показать Цвета колонок ",
	["Status"] = "Статус",
	["Toggles display of status"] = "Показать Статус на Дисплее",
	["Class Column Settings"] = "Настройки Колонок Классов",
	["Toggles display of class column"] = "Показать Колонки Классов",
	["Sets alignment of class column"] = "Выбрать показанные колонки классов",
	["Level Column Settings"] = "Настройка Уровня в колонках",
	["Toggles display of level column"] = "Показ Уровня колонок",
	["Sets alignment of level column"] = "Выровнять колонки по уровню",
	["Sets color of level column"] = "Выбрать цвет уровня в Колонке",
	["Relative"] = "Родственник",
	["Zone Column Settings"] = "Настройки локации",
	["Toggles display of zone column"] = "Показать Колонку Локации",
	["Sets alignment of zone column"] = "Настройка игроков по Локации",
	["Sets color of zone column"] = "Выбрать цвет колонки локации",
	["Faction"] = "Фракция",
	["Notes Column Settings"] = " Настрйока Колонка Заметок",
	["Show Blizzard"] = "Показать Blizzard",
	["Toggles display of Blizzard notes"] = "Показать Заметки Blizzard",
	["Show AuldLangSyne"] = "Показать AuldLangSyne",
	["Toggles display of AuldLangSyne notes"] = "Показывает на экране AuldLangSyne заметки",
	["Show CT_PlayerNotes"] = "Показать CT_Player Заметки",
	["Toggles display of CT_PlayerNotes notes"] = "Показывает на экране CT_Player Заметки",
	["Sets alignment of notes column"] = "Выровнять Колонки Примечаний",
	["Filter"] = "Фильтр",
	["Filter Settings"] = "Фильтр Настройки",
	["Class Filter Settings"] = "Фильтр настройки Класса",
--	["Death Knight"] = true,
--	["Toggles display of Death Knights"] = true,
	["Druid"] = "Друид",
	["Toggles display of Druids"] = "Отображать только Друидов",
	["Hunter"] = "Охотник",
	["Toggles display of Hunters"] = "Отображать только Охотников",
	["Mage"] = "Маг",
	["Toggles display of Mages"] = "Отображать только Магов",
	["Paladin"] = "Паладин",
	["Toggles display of Paladins"] = "Отображать только Паладинов",
	["Priest"] = "Жрец",
	["Toggles display of Priests"] = "Отображать только Жрецов",
	["Rogue"] = "Разбойник",
	["Toggles display of Rogues"] = "Отображать только Разбойников",
	["Shaman"] = "Шаман",
	["Toggles display of Shamans"] = "Отображать только Шаманов",
	["Warlock"] = "Чернокнижник",
	["Toggles display of Warlocks"] = "Отображать только Чернокнижников",
	["Warrior"] = "Воин",
	["Toggles display of Warriors"] = "Отображать только Воинов",
	["Level Filter Settings"] = "Настройки Фильра по уровню",
	[" 1- 9"] = " 1- 9",
	["Toggles display of level 1 to 9 chars"] = "Показывает на экране уровни с 1 to 9",
	["10-19"] = "10-19",
	["Toggles display of level 10 to 19 chars"] = "Показывает на экране уровни с 10 по 19",
	["20-29"] = "20-29",
	["Toggles display of level 20 to 29 chars"] = "Показывает на экране уровни с 20 по 29",
	["30-39"] = "30-39",
	["Toggles display of level 30 to 39 chars"] = "Показывает на экране уровни с 30 по 39",
	["40-49"] = "40-49",
	["Toggles display of level 40 to 49 chars"] = "Показывает на экране уровни с 40 по 49",
	["50-59"] = "50-59",
	["Toggles display of level 50 to 59 chars"] = "Показывает на экране уровни с 50 по 59",
	["60-69"] = "60-69",
	["Toggles display of level 60 to 69 chars"] = "Показывает на экране уровни с 60 по 69",
	["70-79"] = "70-79",
	["Toggles display of level 70 to 79 chars"] = "Показывает на экране уровни с 70 по 79",
	["80"] = "80",
	["Toggles display of level 80 chars"] = "Показывает на экране уровни 80",
	["Zone Filter Settings"] = "Настройки фильтра Локации",
	["In Battleground"] = "На Полях Сражений",
	["Toggles display of chars in battlegrounds"] = "Показывать друзей находящихся на ПС",
	["In Instance"] = "В Подземельях",
	["Toggles display of chars in instances"] = "Показывать друзей находящихся В Подземельях",
	["In Open Field"] = "Открытые Области",
	["Toggles display of chars in open field"] = "Показывать друзей Находящихся в Открытых Областях",
} end)

if GetLocale() ~= "ruRU" then return end

FuBar_FriendsFu.reverse_class["Рыцарь смерти"] = "DEATHKNIGHT"
FuBar_FriendsFu.reverse_class["Друид"] = "DRUID"
FuBar_FriendsFu.reverse_class["Охотник"] = "HUNTER"
FuBar_FriendsFu.reverse_class["Охотница"] = "HUNTER"
FuBar_FriendsFu.reverse_class["Маг"] = "MAGE"
FuBar_FriendsFu.reverse_class["Паладин"] = "PALADIN"
FuBar_FriendsFu.reverse_class["Жрец"] = "PRIEST"
FuBar_FriendsFu.reverse_class["Жрица"] = "PRIEST"
FuBar_FriendsFu.reverse_class["Разбойник"] = "ROGUE"
FuBar_FriendsFu.reverse_class["Разбойница"] = "ROGUE"
FuBar_FriendsFu.reverse_class["Шаман"] = "SHAMAN"
FuBar_FriendsFu.reverse_class["Шаманка"] = "SHAMAN"
FuBar_FriendsFu.reverse_class["Чернокнижник"] = "WARLOCK"
FuBar_FriendsFu.reverse_class["Чернокнижница"] = "WARLOCK"
FuBar_FriendsFu.reverse_class["Воин"] = "WARRIOR"

