﻿local revision = tonumber(string.sub("$Revision: 95 $", 12, -3)) or 1
if revision > FuBar_FriendsFu.revision then FuBar_FriendsFu.revision = revision end

local L = AceLibrary("AceLocale-2.2"):new("FuBar_FriendsFu")

L:RegisterTranslations("frFR", function() return {
	["Group"] = "Groupe",
	["Name"] = "Nom",
	["Class"] = "Classe",
	["Level"] = "Niveau",
	["Zone"] = "Zone",
	["Notes"] = "Notes",
	["Show"] = "Afficher",
	["Align"] = "Aligner",
	["Color"] = "Couleur",
	["None"] = "Aucune",
	["Left"] = "Gauche",
	["Center"] = "Centrer",
	["Right"] = "Droite",
	["Updating..."] = "Mise \195\160 jours ...",
	["You aren't having any known friends."] = "Vous n'avez aucun ami de connu.",
	["All friends offline or filtered."] = "Tout vos amis sont hors-ligne ou filtr\195\169s",
	["Text"] = "Texte",
	["Text Settings"] = "Param\195\169trage textuel",
	["Show Displayed"] = "Afficher filtr\195\169",
	["Toggles display of number of unfiltered friends"] = "Active/D\195\169sactive l'affichage du nombre de vos amis non-filtr\195\169",
	["Show Online"] = "Afficher en ligne",
	["Toggles display of number of online friends"] = "Active/D\195\169sactive l'affichage du nombre de vos amis en ligne",
	["Show Total"] = "Afficher au total",
	["Toggles display of number of total friends known"] = "Active/D\195\169sactive l'affichage du nombre total de vos amis connus",
	["Tooltip"] = "Affichage",
	["Tooltip Settings"] = "Param\195\169trage d'affichage",
	["Sort"] = "Trier",
	["Sets sorting"] = "Type de tri",
	["Group Indicator Settings"] = "Param\195\169trage de l'indicateur de groupe",
	["Toggles display of group indicators"] = "Active/D\195\169sactive l'affichage de l'indicateur de groupe",
	["Name Column Settings"] = "Param\195\169trage du nom des colonnes",
	["Sets color of name column"] = "Couleur de la colonne des noms",
	["Status"] = "Status",
	["Toggles display of status"] = "Active/D\195\169sactive l'affichage du status",
	["Class Column Settings"] = "Param\195\169trage de la colonne des classes",
	["Toggles display of class column"] = "Active/D\195\169sactive l'affichage de la colonne des classes",
	["Sets alignment of class column"] = "Alignement de la colonne des classes",
	["Level Column Settings"] = "Param\195\169trage de la colonne des niveaux",
	["Toggles display of level column"] = "Active/D\195\169sactive l'affichage de la colonne des niveaux",
	["Sets alignment of level column"] = "Alignement de la colonne des niveaux",
	["Sets color of level column"] = "Couleur de la colonne des niveaux",
	["Relative"] = "Relatif",
	["Zone Column Settings"] = "Param\195\169trage de la colonne des zones",
	["Toggles display of zone column"] = "Active/D\195\169sactive l'affichage de la colonne des zones",
	["Sets alignment of zone column"] = "Alignement de la colonne des zones",
	["Sets color of zone column"] = "Couleur de la colonne des zones",
	["Faction"] = "Faction",
	["Notes Column Settings"] = "Param\195\169trage de la colonne des notes",
--~ 	["Show Blizzard"] = true,
--~ 	["Toggles display of Blizzard notes"] = true,
	["Show AuldLangSyne"] = "Afficher AuldLangSyne",
	["Toggles display of AuldLangSyne notes"] = "Active/D\195\169sactive l'affichage des notes AuldLangSyne",
	["Show CT_PlayerNotes"] = "Afficher les notes CT_PlayerNotes",
	["Toggles display of CT_PlayerNotes notes"] = "Active/D\195\169sactive l'affichage des notes CT_PlayerNotes",
	["Sets alignment of notes column"] = "Alignement de la colonne des notes",
	["Filter"] = "Filtrer",
	["Filter Settings"] = "Param\195\169trage du filtrage",
	["Class Filter Settings"] = "Param\195\169trage du filtrage des classes",
--	["Death Knight"] = true,
--	["Toggles display of Death Knights"] = true,
	["Druid"] = "Druide",
	["Toggles display of Druids"] = "Active/D\195\169sactive l'affichage des druides",
	["Hunter"] = "Chasseur",
	["Toggles display of Hunters"] = "Active/D\195\169sactive l'affichage des chasseurs",
	["Mage"] = "Mage",
	["Toggles display of Mages"] = "Active/D\195\169sactive l'affichage des mages",
	["Paladin"] = "Paladin",
	["Toggles display of Paladins"] = "Active/D\195\169sactive l'affichage des paladins",
	["Priest"] = "Pr\195\170tre",
	["Toggles display of Priests"] = "Active/D\195\169sactive l'affichage des pr\195\170tres",
	["Rogue"] = "Voleur",
	["Toggles display of Rogues"] = "Active/D\195\169sactive l'affichage des voleurs",
	["Shaman"] = "Shaman",
	["Toggles display of Shamans"] = "Active/D\195\169sactive l'affichage des shamans",
	["Warlock"] = "D\195\169moniste",
	["Toggles display of Warlocks"] = "Active/D\195\169sactive l'affichage des d\195\169moniste",
	["Warrior"] = "Guerrier",
	["Toggles display of Warriors"] = "Active/D\195\169sactive l'affichage des guerriers",
	["Level Filter Settings"] = "Param\195\169trage du filtrage des niveaux",
	[" 1- 9"] = " 1- 9",
	["Toggles display of level 1 to 9 chars"] = "Active/D\195\169sactive l'affichage des personnages de niveau 1 \195\160 9",
	["10-19"] = "10-19",
	["Toggles display of level 10 to 19 chars"] = "Active/D\195\169sactive l'affichage des personnages de niveau 10 \195\160 19",
	["20-29"] = "20-29",
	["Toggles display of level 20 to 29 chars"] = "Active/D\195\169sactive l'affichage des personnages de niveau 20 \195\160 29",
	["30-39"] = "30-39",
	["Toggles display of level 30 to 39 chars"] = "Active/D\195\169sactive l'affichage des personnages de niveau 30 \195\160 39",
	["40-49"] = "40-49",
	["Toggles display of level 40 to 49 chars"] = "Active/D\195\169sactive l'affichage des personnages de niveau 40 \195\160 49",
	["50-59"] = "50-59",
	["Toggles display of level 50 to 59 chars"] = "Active/D\195\169sactive l'affichage des personnages de niveau 50 \195\160 59",
	["60-69"] = "60-69",
	["Toggles display of level 60 to 69 chars"] = "Active/D\195\169sactive l'affichage des personnages de niveau 60 \195\160 69",
	["70-79"] = "70-79",
	["Toggles display of level 70 to 79 chars"] = "Active/D\195\169sactive l'affichage des personnages de niveau 70 \195\160 79",
	["80"] = "80",
	["Toggles display of level 80 chars"] = "Active/D\195\169sactive l'affichage des personnages de niveau 80",
	["Zone Filter Settings"] = "Param\195\169trage du filtrage de zone",
	["In Battleground"] = "En Champs de bataille",
	["Toggles display of chars in battlegrounds"] = "Active/D\195\169sactive l'affichage des personnages en champs de bataille",
	["In Instance"] = "En instance",
	["Toggles display of chars in instances"] = "Active/D\195\169sactive l'affichage des personnages en instances",
	["In Open Field"] = "Dans le monde",
	["Toggles display of chars in open field"] = "Active/D\195\169sactive l'affichage des personnages dans le monde",
} end)

if GetLocale() ~= "frFR" then return end

FuBar_FriendsFu.reverse_class["Chevalier de la mort"] = "DEATHKNIGHT"
FuBar_FriendsFu.reverse_class["Druide"] = "DRUID"
FuBar_FriendsFu.reverse_class["Druidesse"] = "DRUID"
FuBar_FriendsFu.reverse_class["Chasseur"] = "HUNTER"
FuBar_FriendsFu.reverse_class["Chasseresse"] = "HUNTER"
FuBar_FriendsFu.reverse_class["Mage"] = "MAGE"
FuBar_FriendsFu.reverse_class["Paladin"] = "PALADIN"
FuBar_FriendsFu.reverse_class["Pr\195\170tre"] = "PRIEST"
FuBar_FriendsFu.reverse_class["Pr\195\170tresse"] = "PRIEST"
FuBar_FriendsFu.reverse_class["Voleur"] = "ROGUE"
FuBar_FriendsFu.reverse_class["Voleuse"] = "ROGUE"
FuBar_FriendsFu.reverse_class["Chaman"] = "SHAMAN"
FuBar_FriendsFu.reverse_class["Chamane"] = "SHAMAN"
FuBar_FriendsFu.reverse_class["D\195\169moniste"] = "WARLOCK"
FuBar_FriendsFu.reverse_class["Guerrier"] = "WARRIOR"
FuBar_FriendsFu.reverse_class["Guerri\195\168re"] = "WARRIOR"
